MWM/ORS Failed To Start Services with java.lang.ClassNotFoundException Due To Incompatible Java Version (Doc ID 2286600.1)

Last updated on JULY 24, 2017

Applies to:

Oracle Real-Time Scheduler - Version 2.3.0.1.0 and later
Oracle Utilities Mobile Workforce Management - Version 2.3.0.1.0 and later
Information in this document applies to any platform.

Symptoms

After performing a MWM/ORS v2.3.0.1 install, users are unable to open the Applications login.
Some services failed to start and the following errors are observe in the logs.

\myserver.log
...
java.version = 1.7.0_65
...
<Error> <Class Loaders> <cob-exmwmapd-02> <myserver> <[ACTIVE] ExecuteThread: '3' for queue: 'weblogic.kernel.Default (self-tuning)'> <<WLS Kernel>> <> <> <1499787023769> <BEA-2162500> <Class, com.splwg.mwm.support.mcp.web.LoginServlet, was compiled with an incompatible version of Java. Make sure that all the classes needed by the application have been compiled with a compatible java version. java.lang.UnsupportedClassVersionError: com/splwg/mwm/support/mcp/web/LoginServlet : Unsupported major.minor version 52.0
java.lang.UnsupportedClassVersionError: com/splwg/mwm/support/mcp/web/LoginServlet : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:800)

\weblogic_current.log

<Error> <HTTP> <BEA-101371> <There was a failure when processing annotations for application /ouaf/MWMUSTTRG/splapp/servers/myserver/tmp/_WL_user/SPLWeb/43mrv9/MCPApp.war. Ensure that the annotations are valid. The error is Class, com.splwg.mwm.support.mcp.web.LoginServlet, was compiled with an incompatible version of Java. Make sure that all the classes needed by the application have been compiled with a compatible java version.
java.lang.ClassNotFoundException: Class, com.splwg.mwm.support.mcp.web.LoginServlet, was compiled with an incompatible version of Java. Make sure that all the classes needed by the application have been compiled with a compatible java version.
at weblogic.utils.classloaders.GenericClassLoader.findClass(GenericClassLoader.java:322)
at weblogic.utils.classloaders.ChangeAwareClassLoader.findClass(ChangeAwareClassLoader.java:80)
at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
at weblogic.utils.classloaders.GenericClassLoader.loadClass(GenericClassLoader.java:186)
Truncated. see log file for complete stacktrace
Caused By: java.lang.UnsupportedClassVersionError: com/splwg/mwm/support/mcp/web/LoginServlet : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)

 

 

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms